org.slf4j.helpers

## Class SubstituteLoggerFactory

- java.lang.Object
- - org.slf4j.helpers.SubstituteLoggerFactory

- All Implemented Interfaces:
    ILoggerFactory

      public class SubstituteLoggerFactory
      extends Object
      implements ILoggerFactory

  SubstituteLoggerFactory manages instances of `SubstituteLogger`.
  Author:
    Ceki Gülcü, Chetan Mehrotra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubstituteLoggerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `LinkedBlockingQueue<SubstituteLoggingEvent>` | `getEventQueue()`
    `Logger` | `getLogger(String name)` Return an appropriate `Logger` instance as specified by the `name` parameter.
    `List<String>` | `getLoggerNames()`
    `List<SubstituteLogger>` | `getLoggers()`
    `void` | `postInitialization()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstituteLoggerFactory

          public SubstituteLoggerFactory()

  - ### Method Detail

    - #### getLogger

          public Logger getLogger(String name)

      Description copied from interface: `ILoggerFactory`
      Return an appropriate `Logger` instance as specified by the `name` parameter.

      If the name parameter is equal to `Logger.ROOT_LOGGER_NAME`, that is the string value "ROOT" (case insensitive), then the root logger of the underlying logging system is returned.

      Null-valued name arguments are considered invalid.

      Certain extremely simple logging systems, e.g. NOP, may always return the same logger instance regardless of the requested name.

      Specified by:
        `getLogger` in interface `ILoggerFactory`
      Parameters:
        `name` - the name of the Logger to return
      Returns:
        a Logger instance

    - #### getLoggerNames

          public List<String> getLoggerNames()

    - #### getLoggers

          public List<SubstituteLogger> getLoggers()

    - #### getEventQueue

          public LinkedBlockingQueue<SubstituteLoggingEvent> getEventQueue()

    - #### postInitialization

          public void postInitialization()

    - #### clear

          public void clear()

Copyright © 2005–2017 QOS.ch. All rights reserved.